Skip to main content
GET
/
buyers
/
{buyer_id}
Get buyer
using RestSharp;


var options = new RestClientOptions("https://api.sandbox.{id}.gr4vy.app/buyers/{buyer_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.sandbox.{id}.gr4vy.app/buyers/{buyer_id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://api.sandbox.{id}.gr4vy.app/buyers/{buyer_id}")
.header("Authorization", "Bearer <token>")
.asString();
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.{id}.gr4vy.app/buyers/{buyer_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests

url = "https://api.sandbox.{id}.gr4vy.app/buyers/{buyer_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.{id}.gr4vy.app/buyers/{buyer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request GET \
--url https://api.sandbox.{id}.gr4vy.app/buyers/{buyer_id} \
--header 'Authorization: Bearer <token>'
{
  "type": "buyer",
  "id": "fe26475d-ec3e-4884-9553-f7356683f7f9",
  "billing_details": {
    "type": "billing-details",
    "first_name": "John",
    "last_name": "Lunn",
    "email_address": "john@example.com",
    "phone_number": "+1234567890",
    "address": {
      "city": "London",
      "country": "GB",
      "postal_code": "789123",
      "state": "Greater London",
      "state_code": "GB-LND",
      "house_number_or_name": "10",
      "line1": "10 Oxford Street",
      "line2": "New Oxford Court",
      "organization": "Gr4vy"
    },
    "tax_id": {
      "value": "12345678931",
      "kind": "gb.vat"
    }
  },
  "created_at": "2013-07-16T19:23:00.000+00:00",
  "display_name": "John L.",
  "external_identifier": "user-789123",
  "merchant_account_id": "default",
  "updated_at": "2013-07-16T19:23:00.000+00:00",
  "account_number": "1234567"
}
{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "No valid API authentication found",
"details": []
}
{
"type": "error",
"code": "not_found",
"status": 404,
"message": "The resource could not be found",
"details": []
}
This endpoint requires the buyers.read scope. The buyers.billing-details.read scope is needed to see all personally identifiable information.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

buyer_id
string<uuid>
required

The unique ID for a buyer.

Example:

"8724fd24-5489-4a5d-90fd-0604df7d3b83"

Response

Returns the information about a buyer.

type
enum<string>

The type of this resource. Is always buyer.

Available options:
buyer
Example:

"buyer"

id
string<uuid>

The unique Gr4vy ID for this buyer.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"

billing_details
Billing details · object | null

The billing details associated with a buyer.

created_at
string<date-time>

The date and time when this buyer was created in our system.

Example:

"2013-07-16T19:23:00.000+00:00"

display_name
string | null

A unique name for this buyer which is used in the Gr4vy admin panel to give a buyer a human readable name.

Required string length: 1 - 200
Example:

"John L."

external_identifier
string | null

An external identifier that can be used to match the buyer against your own records.

Required string length: 1 - 200
Example:

"user-789123"

merchant_account_id
string

The unique ID for a merchant account.

Example:

"default"

updated_at
string<date-time>

The date and time when this buyer was last updated in our system.

Example:

"2013-07-16T19:23:00.000+00:00"

account_number
string | null

The source account number to perform an account funding transaction.

Required string length: 1 - 255
Example:

"1234567"